#!/bin/sh

echo 'Uninstalling Yamaha AIC128-D...'

# Unload the driver
kextunload -b com.yamaha.dante.driver.aic128-d > /dev/null 2>&1

SYS_DIR=/System/Library/Extensions
TARGET=${SYS_DIR}/yaic128-d.kext
if [ -f "${TARGET}/Contents/Info.plist" ]
then
	rm -rf "${TARGET}"
	touch "${SYS_DIR}"
else
	echo "${TARGET} not found"
	exit 1
fi

pkgutil -f --forget com.yamaha.dante.driver.aic128-d > /dev/null 2>&1

echo Done.
